<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:id="@+id/skeleton"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.core.widget.NestedScrollView
            android:id="@+id/contentContainer"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:orientation="vertical"
                android:background="@color/transparent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    tools:visibility="visible"
                    android:visibility="gone"
                    android:id="@+id/bannerContainer"
                    android:layout_width="match_parent"
                    android:layout_height="218dp"
                    android:paddingTop="8dp"
                    android:paddingBottom="8dp">

                    <View
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="16dp"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:background="@drawable/bg_forum_banner"
                        app:layout_constraintTop_toTopOf="@+id/viewPagerCardView"
                        app:layout_constraintBottom_toBottomOf="@+id/viewPagerCardView"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent" />

                    <View
                        android:id="@+id/bannerBg"
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        android:layout_marginLeft="16dp"
                        android:layout_marginRight="16dp"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent" />

                    <TextView
                        android:id="@+id/bannerItemTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="38dp"
                        android:layout_marginLeft="16dp"
                        android:layout_marginRight="16dp"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:textColor="@color/white"
                        android:textSize="14sp"
                        android:text="「丘丘人的编辑协会」活动开启！「丘丘人的编辑协会」活动开启！「丘丘人的编辑协会」活动开启！"
                        android:maxLines="1"
                        android:ellipsize="end"
                        app:layout_constraintHorizontal_bias="0"
                        app:layout_constrainedWidth="true"
                        app:layout_constraintLeft_toLeftOf="@+id/bannerBg"
                        app:layout_constraintRight_toRightOf="@+id/bannerBg"
                        app:layout_constraintBottom_toBottomOf="@+id/bannerBg" />

                    <androidx.cardview.widget.CardView
                        android:id="@+id/viewPagerCardView"
                        android:layout_width="0dp"
                        android:layout_height="164dp"
                        android:layout_marginLeft="16dp"
                        android:layout_marginRight="16dp"
                        app:cardCornerRadius="12dp"
                        app:cardElevation="0dp"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent">

                        <com.gh.gamecenter.common.view.autoscrollviewpager.AutoScrollViewPager
                            android:id="@+id/bannerViewPager"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:overScrollMode="never"
                            app:layout_constraintTop_toTopOf="parent"
                            app:layout_constraintLeft_toLeftOf="parent" />

                    </androidx.cardview.widget.CardView>

                    <LinearLayout
                        android:id="@+id/indicatorContainer"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="12dp"
                        android:gravity="center"
                        android:orientation="horizontal"
                        app:layout_constraintLeft_toLeftOf="@+id/viewPagerCardView"
                        app:layout_constraintRight_toRightOf="@+id/viewPagerCardView"
                        app:layout_constraintBottom_toBottomOf="@+id/viewPagerCardView" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    tools:visibility="visible"
                    android:visibility="gone"
                    android:id="@+id/followForumContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:clipChildren="false"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/followTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="48dp"
                        android:layout_marginLeft="16dp"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:textColor="@color/text_title"
                        android:textStyle="bold"
                        android:textSize="16sp"
                        android:text="关注论坛"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/followMore"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="16dp"
                        android:drawableRight="@drawable/ic_forum_more"
                        android:drawablePadding="4dp"
                        android:includeFontPadding="false"
                        android:textColor="@color/community_forum_more"
                        android:textSize="12sp"
                        android:textStyle="bold"
                        android:text="全部"
                        app:layout_constraintTop_toTopOf="@+id/followTitle"
                        app:layout_constraintBottom_toBottomOf="@+id/followTitle"
                        app:layout_constraintRight_toRightOf="parent" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/followForumRv"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:clipChildren="false"
                        android:nestedScrollingEnabled="false"
                        android:overScrollMode="never"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/followTitle" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1px"
                        android:layout_marginTop="24dp"
                        android:layout_marginLeft="16dp"
                        android:layout_marginRight="16dp"
                        android:background="@color/divider"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/followForumRv" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/hotForumContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:clipChildren="false">

                    <TextView
                        android:id="@+id/hotTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="48dp"
                        android:layout_marginLeft="16dp"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:textColor="@color/text_title"
                        android:textStyle="bold"
                        android:textSize="16sp"
                        android:text="热门论坛"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/hotMore"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="16dp"
                        android:drawableRight="@drawable/ic_forum_more"
                        android:drawablePadding="4dp"
                        android:includeFontPadding="false"
                        android:textColor="@color/community_forum_more"
                        android:textSize="12sp"
                        android:textStyle="bold"
                        android:text="更多"
                        app:layout_constraintTop_toTopOf="@+id/hotTitle"
                        app:layout_constraintBottom_toBottomOf="@+id/hotTitle"
                        app:layout_constraintRight_toRightOf="parent" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/hotForumRv"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:clipChildren="false"
                        android:nestedScrollingEnabled="false"
                        android:overScrollMode="never"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/hotTitle" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1px"
                        android:layout_marginTop="24dp"
                        android:layout_marginLeft="16dp"
                        android:layout_marginRight="16dp"
                        android:background="@color/divider"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/hotForumRv" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    tools:visibility="visible"
                    android:visibility="gone"
                    android:id="@+id/officialForumContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/officialTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="42dp"
                        android:layout_marginLeft="16dp"
                        android:paddingTop="16dp"
                        android:includeFontPadding="false"
                        android:textColor="@color/text_title"
                        android:textStyle="bold"
                        android:textSize="16sp"
                        android:text="综合论坛"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/officialMore"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="16dp"
                        android:drawableRight="@drawable/ic_forum_more"
                        android:drawablePadding="4dp"
                        android:includeFontPadding="false"
                        android:textColor="@color/community_forum_more"
                        android:textSize="12sp"
                        android:textStyle="bold"
                        android:text="更多"
                        app:layout_constraintTop_toTopOf="@+id/officialTitle"
                        app:layout_constraintBottom_toBottomOf="@+id/officialTitle"
                        app:layout_constraintRight_toRightOf="parent" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/officialForumRv"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:overScrollMode="never"
                        android:nestedScrollingEnabled="false"
                        app:layout_constraintTop_toBottomOf="@+id/officialTitle"
                        app:layout_constraintLeft_toLeftOf="parent" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1px"
                        android:layout_marginTop="14dp"
                        android:layout_marginLeft="16dp"
                        android:layout_marginRight="16dp"
                        android:background="@color/divider"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/officialForumRv" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    tools:visibility="visible"
                    android:visibility="gone"
                    android:id="@+id/otherWelfareContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/otherTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="48dp"
                        android:layout_marginLeft="16dp"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:textColor="@color/text_title"
                        android:textStyle="bold"
                        android:textSize="16sp"
                        android:text="其他福利"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/otherWelfareRv"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingLeft="16dp"
                        android:paddingRight="16dp"
                        android:overScrollMode="never"
                        android:nestedScrollingEnabled="false"
                        app:layout_constraintTop_toBottomOf="@+id/otherTitle"
                        app:layout_constraintLeft_toLeftOf="parent" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="130dp"
                    android:paddingBottom="54dp"
                    android:gravity="center"
                    android:textColor="@color/text_subtitleDesc"
                    android:textSize="12sp"
                    android:text="没有更多内容了~" />
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <include
        android:id="@+id/reuse_no_connection"
        layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception" />

    <include
        android:id="@+id/reuse_loading"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />
</RelativeLayout>